
set(hdrs
	include/pw/system/display.hpp
	include/pw/system/input.hpp
	include/pw/system/path.hpp
	include/pw/system/window.hpp
	src/path_internal.in.hpp
	)

set(srcs
	src/display.cpp
	src/path.cpp
	src/input.cpp
	src/window.cpp
	)




configure_file(src/path_internal.in.hpp
	${CMAKE_BINARY_DIR}/include/pw/system/path_internal.hpp
	@ONLY
	)


add_library(pwsystem
	STATIC
	${hdrs}
	${srcs}
	)

target_include_directories(
	pwsystem
	PUBLIC
	include
	PRIVATE
	${CMAKE_BINARY_DIR}/include/
	)

target_link_libraries(pwsystem pwcore pwvisual glfw glad)

#add_subdirectory(tests)
